#
# spec file for package perl-Test-YAML
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-YAML
Version:        1.07
Release:        1.28
%define cpan_name Test-YAML
Summary:        Testing Module for YAML Implementations
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-YAML/
Source0:        https://cpan.metacpan.org/authors/id/T/TI/TINITA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Base) >= 0.89
Requires:       perl(Test::Base) >= 0.89
%{perl_requires}

%description
Test::YAML is a subclass of Test::Base with YAML specific support.

%prep
%setup -q -n %{cpan_name}-%{version}
# MANUAL BEGIN
sed -i -e 's,/usr/bin/bash,/bin/bash,' bin/test-yaml
# MANUAL END

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING README
%license LICENSE

%changelog
* Sun Jun 17 2018 coolo@suse.com
- updated to 1.07
  see /usr/share/doc/packages/perl-Test-YAML/Changes
  1.07 Sat Jun 16 16:09:09 CEST 2018
  - Add a test so that cpan clients don't return "NOTESTS" (PR#4 tinita)
* Wed Jul 22 2015 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-Test-YAML/Changes
  1.06 Tue Jul 21 10:23:49 PDT 2015
  - Remove perl req from Meta
  - So can use on 5.6
* Mon Apr 13 2015 coolo@suse.com
- initial package 1.05
  * created by cpanspec 1.78.08
